std::execution::upon_error(3)

NAME
std::execution::upon_error - std::execution::upon_error

Synopsis
   Defined in header <execution>
   execution::sender auto upon_error(
       execution::sender auto input, (since C++26)
       std::invocable<errors-sent-by(input)...> function
   );

Parameters
   input - sender which once an error occurs, sends the errors to the function
   function - invocable to be called with errors in case an error occurs by input
              sender

Return value
   Returns a sender describing the task graph described by the input sender, with an
   added node of invoking the provided function with the errors sent by the input
   sender as arguments (in case of an error).